//
//  PreferencesClass.m
//  AnagrammeCocoa
//
//  Created by Julien-Pierre Avrous on Thu Feb 05 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import "PreferencesClass.h"


@implementation PreferencesClass

#define prefsName @"Library/Preferences/Anagramme" 

- init
{
	if(self=[super init]) {
	[self loadPrefs];
	}

	return self;
}

- (void)dealloc
{
	NSLog(@"finish");
	[self savePrefs];
        // Libration de tabPrefs
        [tabPrefs release];
}

- (void)loadPrefs
{
	tabPrefs=[[NSMutableDictionary alloc] initWithContentsOfFile:[self getThePath]];
	if(tabPrefs==nil)
		tabPrefs = [[NSMutableDictionary alloc] init];
}

- (void)savePrefs
{
	[tabPrefs writeToFile:[self getThePath] atomically:NO];
}

-(NSString *)getThePath
{
	NSString *path;
	path=[NSHomeDirectory() stringByAppendingPathComponent:prefsName];
	return path;
}

- (void)setPrefs:(NSString *)key value:(id)val
{
	[tabPrefs setObject:val forKey:key];
}

- (id)getPrefs:(NSString *)key
{
	return [tabPrefs objectForKey:key];
}
@end
