/* Controller */

#import <Cocoa/Cocoa.h>
#import "GenerateControler.h"
#import "MakeArray.h"

@interface Controller : NSObject
{
    // -------------------------------------------------------------------
    // Evite de garder tant que possible des (id)
    // Remplace les plutt par la classe si tu la connait au dpart
    // Tu peux le faire directement dans IB
    // -------------------------------------------------------------------
    @public
    IBOutlet id anagrammeEntered;
    IBOutlet id benchMark;
    IBOutlet id ListView;
    IBOutlet id okStepFour;
    IBOutlet id okStepThree;
    IBOutlet id okStepTwo;
    IBOutlet id lenghtBestAnag;
    IBOutlet id anaWin;
    IBOutlet id findBestAnaView;
    IBOutlet id findBestAnaDrawer;
    IBOutlet id generateInst;
    
    
    NSMutableArray *tab;
    NSMutableDictionary *dico;
    
    NSMutableDictionary *tbarItems;
    
    BOOL statDrawerGenerate;
    BOOL statDrawerBest;
}
- (IBAction)actAllStepInOne:(id)sender;
- (IBAction)actMakeTheList:(id)sender;
- (IBAction)actShowTheList:(id)sender;
- (IBAction)actSortTheList:(id)sender;
- (IBAction)actGetBestAnag:(id)sender;

- (void)MakeList:(NSString *)ana;
- (void)ShowList;
- (void)SortList;


/*
 Mthode devenues obsolte par l"utilisation de la classe MakeArray
 
- (void)buildTab:(int)at source:(NSString *)src;
- (NSString *)mid:(NSString *)source position:(int)pos length:(int)len;
- (NSString *)addMid:(NSString *)src append:(NSString *)addstr position:(int)pos;
*/
- (void)loadDico;
- (BOOL)FindWord:(NSString *)word;
- (void)toggleGenerateWin:(id)sender;
- (void)toggleDrawerWin:(id)sender;

    //Accesseurs
- (id)getAnaEntered;
- (NSMutableDictionary *)getDico;

    //ToolBar
- (void)initTBar;
- (void)addItem:(NSMutableDictionary *)theDict identifier:(NSString *)tid label:(NSString *)lbl about:(NSString *)helpTag content:(id)view act:(SEL)action;
@end
