//
//  MakeArray.h
//
//  Created by Gallerand Sbastien on Tue Feb 17 2004.
//  Copyright (c) 2004 Gallerand Sbastien. All rights reserved.
//

/*
 Cette classe est garantie sans fuite mmoire !!!
*/

#import <Foundation/Foundation.h>

// -------------------------------------------------------------------
// Dfinition de la classe MakeArray
// -------------------------------------------------------------------

@interface MakeArray : NSObject {

    NSString *_chaine;    
}

/*
 Initialiseur et accesseur
*/
- (id)initWithString:(NSString *)chaine;
- (void)setString:(NSString *)chaine;

/*
 retourne toutes les combinaisons possibles avec les lettres de _chaine
*/
- (NSMutableArray *)combinaisons;

@end

// -------------------------------------------------------------------
// Ajout d'une catgorie pour NSMutableArray
// -------------------------------------------------------------------

@interface NSMutableArray (NSArrayCat)

/*
Cette mthode prend tous les NSString du tableau.
Les tend avec la chaine string.
Ajoute les chaines tendues au tableau et retire les chanes originales
*/
- (NSMutableArray *)expandArrayWithString:(NSString *)string;

@end

// -------------------------------------------------------------------
// Ajout d'une catgorie  NSString
// -------------------------------------------------------------------

@interface NSString (NSStringCat) 

/*
 Cette mthode permet de rcuprer rapidement une sous chaine de NSString
*/
- (NSString *)stringFromIndex:(int)start withLength:(int)length;

@end

